Member Function
IntervalTree
Constructor
IntervalTree()
IntervalTree(String<TInterval> intervals)
IntervalTree(String<TInterval> intervals, TValue center)
IntervalTree(String<TInterval> intervals, Tag<TTagSpec> const tag)
IntervalTree(intervalBegins, intervalEnds, len)
IntervalTree(intervalBegins, intervalEnds, intervalCargos, len)
Parameters

intervals | Container of intervals. Types: Alloc String Remarks: A string of IntervalAndCargo<TValue, TCargo> objects, see IntervalAndCargo.
intervalBegins | Iterator pointing to begin position of first interval.
intervalEnds | Iterator pointing to end position of first interval.
intervalCargos | Iterator pointing to cargos/ids for intervals.
len | Number of intervals to store in tree.
tag | Tag for tree construction method; ComputeCenter Default: ComputeCenter

Remarks
center of root node is computed by _calcIntervalTreeRootCenter
Member of
IntervalTree
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59